
Redmine - Defect #1512

Colons and whitespace wrapping

2008-06-20 21:44 - mathew murphy

Status: Closed Start date: 2008-06-20

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

This is a pretty trivial issue, but...

When looking at an issue in "read" mode, each field label has " : " after it, i.e. space colon space.

Conventional English punctuation is not to put a space before a colon.

In addition, the space often causes the colon to wrap onto the next line, which looks really ugly.

Finally, the colons aren't there when the record is in edit mode, which makes me wonder why they're there in read mode. The labels

and data are already different font weight, so the colons seem unnecessary.

So in summary:

1. I don't think read mode needs colons.

2. If it does, shouldn't they be there in edit mode too?

3. If colons are used in any mode, they shouldn't have spaces in front.

4. If you ignore all this and keep them as is, you should use CSS white-space: nowrap; to prevent the colons from wrapping onto

the next line.

Associated revisions

Revision 1566 - 2008-06-21 12:15 - Jean-Philippe Lang

Removes spaces before colons on issue detail view (#1512).

History

#1 - 2008-06-20 21:58 - Brian Terlson

- File no_spaces_before_colons.diff added

Yeesh, it's really bothering me now.  Thanks :(  If you'd like to patch yourself, here you go :)  Head into your redmine directory and type "patch -p1 <

/path/to/patchfile.diff"

#2 - 2008-06-21 12:09 - Jean-Philippe Lang

- Category set to UI

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Spaces removed in r1566.

Files

no_spaces_before_colons.diff 3.14 KB 2008-06-20 Brian Terlson
